Name:           wallpaperd
Version:        0.2.0
Release:        2%{?dist}
Summary:        Background setter supporting random images and per-workspace images

Group:          User Interface/Desktops
License:        MIT
URL:            http://pekdon.net/wallpaperd
Source0:        http://projects.pekdon.net/projects/%{name}/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  imlib2-devel libXrandr-devel

%description
Wallpaperd is a small application that takes care of setting the background
image. Wallpaperd was created due to a friend requesting to have different
wallpapers on the different workspaces in Pekwm.

Wallpaperd now supports:
* Changing wallpaper on workspace change.
* Changing wallpaper every X amount of time.
* Changing wallpaper based on a GNOME background.xml file.
* Support for specifying centered, zoomed, tiled and fill image modes.
* Selecting wallpaper based on workspace number.
* Selecting wallpaper based on workspace name.
* RANDR support setting the wallpaper on each screen.
* RANDR support re-setting the wallpaper on screen resolution changes.
* Setting background Atom hint.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README wallpaperd.cfg
%{_bindir}/%{name}

%changelog
* Thu Jan 27 2011 Germán A. Racca <skytux@fedoraproject.org> 0.2.0-2
- Enabled RANDR support

* Wed Jan 19 2011 Germán A. Racca <skytux@fedoraproject.org> 0.2.0-1
- Initial release of RPM package
